<?php
session_start();
	if (isset($_POST['k1'])) {
		require_once('wa_polacz.php');
		$id = $_POST['k1'];
		if ($_POST['k2']==0) {
			$zap = "UPDATE wgraf_adresaci SET odebrana=1 
					WHERE id_awgraf='$id'";
			$aktualizuj = mysqli_query($db, $zap);	
		}
		$zap = "SELECT px, py, id_wgraf, id_awgraf, tytul, od, do, data_wgraf, odebrana FROM wgraf_adresaci, wgraf 
				WHERE id_wgraf=id_awgraf AND id_wgraf='$id' 
				ORDER BY data_wgraf ASC";
		$wynik_pobierz = mysqli_query($db, $zap);
		$wynik = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
		{
			$wynik[] = $wiersz;
		}
		echo json_encode($wynik);
		unset($_POST['k1']);
		unset($_POST['k2']);
		unset($wynik);
		mysqli_free_result($wynik_pobierz);
	}
?>
